/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.va.nvap.web.util;

import gov.va.nvap.common.validation.NullChecker;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author Johann Sonnenberg
 */
public class Debugger extends gov.va.nvap.web.app.ResponseDispatcherHttpServlet {
    
    private static final long serialVersionUID = 1L;
    
    @Override
    public void unspecified(final HttpServletRequest request, final HttpServletResponse response) throws ServletException, IOException {
		final HttpSession session = request.getSession(false);
        
        final String debug = request.getParameter("debug");
        session.setAttribute("debug", false); //default it to false
        
        if(!NullChecker.isNullOrEmpty(debug)) { 
            //we have the debug value
            if("true".equals(debug)) { //the value of the URL param is "true" which will turn ON the "developer" view of the error handling for this session
                session.setAttribute("debug", true);
            }
            
            if("false".equals(debug)) { //the value of the URL param is "false" which will turn OFF the "developer" view of the error handling for this session
                session.setAttribute("debug", false);
            }
        }
        
        //send to user to a screen that tells them what the debug setting is set to
        this.forward(request, response, "show");
    }
}
