<%@taglib tagdir="/WEB-INF/tags/formatting" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<f:mainTemplate headerText="Document View">
    <link rel="stylesheet" type="text/css" href="css/xmlverbatim.css" />
    <link rel="stylesheet" type="text/css" href="css/cda.css" />
    <link rel="stylesheet" type="text/css" href="css/adapter.css" />
    <link rel="stylesheet" type="text/css" href="css/custom_cda.css" />

    <div>
        <div class="no-print text-right">
            <c:if test="${isXmlViewEnabled}">
                <c:url var="xmlToHtmlStyleSheet" value="InboundDocumentReport.do_sec">
                    <c:param name="view" value="true" />
                    <c:param name="documentIcn" value="${icn}" />
                    <c:param name="documentUniqueId" value="${documentUniqueId}" />
                    <c:param name="styleSheetViewType" value="xml" />
                </c:url>
                <a title="View XML" href="<c:out value="${xmlToHtmlStyleSheet}"/>" class="pad-right-10"><i class="fa fa-download fa-2x" aria-hidden="true"></i> View XML</a>
            </c:if>
            <a title="Print Document" href="javascript:window.print();">
                <i class="fa fa-print fa-2x" aria-hidden="true"></i> Print
            </a>
        </div>
    </div>
    <div class="pad-bottom-20">
        <!-- document content -->
        <c:out value="${updatedDocument}" escapeXml="false" />
    </div>
</f:mainTemplate>