--------------------------------------------------------
--  ADD NEW COLUMNS FOR FACILITY VIEW
--------------------------------------------------------

ALTER TABLE "NHIN_VAP"."FACILITY"
ADD (
"FACILITY_PARENT" VARCHAR2(20 BYTE),
"ACTIVE" VARCHAR2(20 BYTE)
);


--------------------------------------------------------
--  UPDATE FACILITY PARENT WITH STATION ROOTS
--------------------------------------------------------
UPDATE "NHIN_VAP"."FACILITY" f
  SET f.FACILITY_PARENT = SUBSTR(f.FACILITY_STATION,1,3)
  WHERE LENGTH(f.FACILITY_STATION) = 5;


COMMIT;